--- ========================================================= ---
---  Setup Revision, Version, Date and add to AceLibrary
--- ========================================================= ---
local VERSION = tonumber(("$Revision: 44107 $"):match("%d+"))

local Sphere = Sphere
Sphere_ClassModule_Hunter = Sphere:NewModule("ClassModule_Hunter", "AceEvent-2.0")
local self = Sphere_ClassModule_Hunter
if Sphere.revision < VERSION then
	Sphere.version = "r" .. VERSION
	Sphere.revision = VERSION
	Sphere.date = ("$Date: 2007-07-18 15:15:25 -0400 (Wed, 18 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end
Sphere.desc = "Hunter Class Module"

--- ========================================================= ---
---  Setup Locals
--- ========================================================= ---
local L = Sphere:L("Sphere_ClassModule_Hunter")

local data = {
}

--- ========================================================= ---
---  On Intitalize / Setup Database
--- ========================================================= ---
function Sphere_ClassModule_Hunter:OnInitialize()
	self.db = Sphere:AcquireDBNamespace("ClassModule_Hunter")
	Sphere:RegisterDefaults("ClassModule_Hunter", "char", {
		settings = {
		},
	})

	Sphere_ClassModule_Hunter:CheckClass()
end

--- ========================================================= ---
---  Setup Options
--- ========================================================= ---

--- ========================================================= ---
---  On Enable
--- ========================================================= ---
function Sphere_ClassModule_Hunter:OnEnable()
end

--- ========================================================= ---
---  On Disable
--- ========================================================= ---
function Sphere_ClassModule_Hunter:OnDisable()
	self:UnregisterAllEvents();
end

--- ========================================================= ---
---  Check Class
--- ========================================================= ---
function Sphere_ClassModule_Hunter:CheckClass()
	local playerClass, englishClass = UnitClass("player");
	if englishClass ~= "HUNTER" then
		Sphere:ToggleModuleActive("ClassModule_Hunter", false)
	else
		Sphere:ToggleModuleActive("ClassModule_Hunter", true)
	end
end